# Luakit Documentation / Modules / log_chrome

# Module `log_chrome`

Luakit log viewer

This module supplies the luakit://log/ chrome page, which displays the most recent log messages.

## Functions

### log_chrome.widget ()

Construct a new error/warning status bar widget. This widget will stay hidden, until a luakit error or warning is logged. Once shown, clicking on the widget will hide it and all other such widgets.

#### Return Values

- widget
  The newly-constructed status bar widget.

## Properties

### log_chrome.buffer_size

Type: number
Default: 500
Read-write
The size of the buffer in which the most recent log messages are stored. This is the maximum number of entries that will be shown on the log page.

### log_chrome.html_template

Type: string
Read-write
HTML template for luakit log chrome page content.

### log_chrome.html_page_title

Type: string
Read-write
Title for the log chrome page.

### log_chrome.html_style

Type: string
Read-write
CSS applied to the log chrome page.

### log_chrome.widget_error_format

Type: string
Read-write
Format string which defines the appearance of the error/warning widget. This is passed to `string.format` with the number of errors as a numerical argument, the result of which is substituted into `widget_format`.

### log_chrome.widget_warning_format

Type: string
Read-write
Format string which defines the appearance of the error/warning widget. This is passed to `string.format` with the number of warnings as a numerical argument, the result of which is substituted into `widget_format`.

### log_chrome.widget_format

Type: string
Read-write
Format string which defines the appearance of the error/warning widget. This combines the error and warning sub-format strings. `{errors}` will be replaced with the result of formatting `widget_error_format`, or the empty string if there have been no errors. Likewise, `{warnings}` will be replaced with the result of formatting `widget_warning_format`, or the empty string if there have been no warnings

## Attribution

#### Copyright

- 2017 Aidan Holm